Unity dash can't select items using keyboard when ibus is active

Bug #973344 reported by Koichi Akabe on 2012-04-04
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Nux
Confirmed
Undecided
Unassigned
Unity
Fix Released
Undecided
Koichi Akabe
nux (Ubuntu)
Undecided
Unassigned
unity (Ubuntu)
Undecided
Unassigned

Bug Description

Unity dash can't select items using a keyboard when ibus is active.

Step to reproduce:
1. open Unity Dash
2. enable ibus
3. press cursor down key

Expected result:
Items on dash are selected.

Actual result:
No item is selected.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: libnux-2.0-0 2.8.0-0ubuntu1
Uname: Linux 3.3.0-030300-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.0-0ubuntu4
Architecture: amd64
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
CompositorRunning: compiz
Date: Wed Apr 4 21:12:51 2012
DistUpgraded: 2012-03-25 01:02:56,588 DEBUG enabling apt cron job
DistroCodename: precise
DistroVariant: ubuntu
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
MachineType: TOSHIBA dynabook CXE/47LE
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.3.0-030300-generic root=UUID=e74db448-f3fc-42a5-ab0e-e78b0310c5db ro quiet splash vt.handoff=7
SourcePackage: nux
UpgradeStatus: Upgraded to precise on 2012-03-24 (10 days ago)
dmi.bios.date: 01/28/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 1.60
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: JPTR
dmi.board.vendor: TOSHIBA
dmi.board.version: 1.60
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 9
dmi.chassis.vendor: TOSHIBA
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr1.60:bd01/28/2010:svnTOSHIBA:pndynabookCXE/47LE:pvrPACE47LLG10E:rvnTOSHIBA:rnJPTR:rvr1.60:cvnTOSHIBA:ct9:cvrToBeFilledByO.E.M.:
dmi.product.name: dynabook CXE/47LE
dmi.product.version: PACE47LLG10E
dmi.sys.vendor: TOSHIBA
version.compiz: compiz 1:0.9.7.4-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.32-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu8
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

Related branches

Koichi Akabe (vbkaisetsu) wrote :
Changed in nux (Ubuntu):
assignee: nobody → Koichi Akabe (vbkaisetsu)
Changed in nux:
assignee: nobody → Koichi Akabe (vbkaisetsu)
Changed in nux (Ubuntu):
assignee: Koichi Akabe (vbkaisetsu) → nobody
Changed in nux:
status: New → In Progress
Changed in unity:
assignee: nobody → Koichi Akabe (vbkaisetsu)
status: New → In Progress
description: updated
Changed in unity:
status: In Progress → Fix Committed
Didier Roche (didrocks) on 2012-04-12
Changed in unity:
milestone: none → 5.10.0
Didier Roche (didrocks) on 2012-04-12
Changed in nux:
status: In Progress → Fix Released
Changed in unity:
status: Fix Committed → Fix Released
Koichi Akabe (vbkaisetsu) wrote :

The patch was mergerd with unity, but another patch lp:~vbkaisetsu/nux/check-preedit-instead-of-imeactive is not applied.
So I think this bug is not fixed.

Changed in nux:
status: Fix Released → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nux - 2.10.0-0ubuntu1

---------------
nux (2.10.0-0ubuntu1) precise-proposed; urgency=low

  * New upstream release.
    - compiz crashed with SIGSEGV in g_datalist_id_set_data_full() from ...
      from unity::PanelTray::~PanelTray() from ... from
      unity::panel::Controller::Impl::OnScreenChanged (LP: #921316)
    - Far left character in panel (and launcher popups) distorted
      (LP: #927441)
    - [dash] Dash does not render "panel line" (LP: #926344)
    - [multi-monitor] DND doesn't work for the launchers in other monitors
      (LP: #965025)
    - Unity dash can't select items using keyboard when ibus is active
      (LP: #973344)
  * debian/rules:
    - remove disable-tests are now tests are only build if the right build-dep
      are here.
  * debian/control:
    - add libxtst-dev as nux Makefile rules are broken and still try to include
      the .h files even if the pc file check failed.
    - bump Standards-Version to latest
 -- Didier Roche <email address hidden> Thu, 12 Apr 2012 15:14:45 +0200

Changed in nux (Ubuntu):
status: New → Fix Released
Changed in nux:
status: In Progress → Confirmed
assignee: Koichi Akabe (vbkaisetsu) → nobody
Changed in unity (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers